//////////////////////////////////////////////////////////////////////////////////////////////////
datum

	//============================================================================================
	proc
		//----------------------------------------------------------------------------------------
		// The datum has been added to handler Handler at turn Turn of round Round.
		turns_AddedToHandler(datum/TurnHandler/Handler,Round,Turn)

		//----------------------------------------------------------------------------------------
		// Handler has told the datum to begin turn Turn of round Round.
		turns_BeginTurn(datum/TurnHandler/Handler,Round,Turn)

		//----------------------------------------------------------------------------------------
		// Handler will no longer wait for the datum to finish turn Turn of round Round.
		turns_DoneWaitingForLastTurn(datum/TurnHandler/Handler,Round,Turn)

		//----------------------------------------------------------------------------------------
		// The datum is no longer involved with Handler as of turn Turn of round Round.
		// Note that the datum will not be told to end any ongoing turns.
		turns_RemovedFromHandler(datum/TurnHandler/Handler,Round,Turn)

		//----------------------------------------------------------------------------------------
		// Handler finished round Round on turn Turn.
		turns_RoundEnded(datum/TurnHandler/Handler,Round,Turn)

		//----------------------------------------------------------------------------------------
		// Handler is beginning round Round on turn Turn.
		turns_RoundStarted(datum/TurnHandler/Handler,Round,Turn)

		//----------------------------------------------------------------------------------------
		// Returns how many turns the datum has left at round Round and turn Turn.
		// Returns 0 by default so be sure to overwrite it for players.
		turns_TurnsLeftInRound(datum/TurnHandler/Handler,Round,Turn)
			return 0

//////////////////////////////////////////////////////////////////////////////////////////////////